Volley
Subscriptions

Get subscription

GET/subscriptions/{id}

Retrieves a specific subscription by ID

AuthorizationBearer <token>

Your Volley API key as a bearer token

In: header

Path Parameters

id*string

The unique identifier of the subscription

Response Body

application/json

application/json

application/json

fetch("https://example.com/subscriptions/subscription_Rh8fXqM2vLnCK7dJpYtG4", {  method: "GET",  headers: {    "Authorization": "Bearer $VOLLEY_API_KEY"  }})
{  "subscription": {    "id": "subscription_Rh8fXqM2vLnCK7dJpYtG4",    "request_id": "request_8GbnJK6WrxGvPobCylFDO",    "provider": "anz",    "amount": {      "value": "10.00 NZD",      "formatted": "$10.00"    },    "period": "monthly",    "start_date": "2026-08-15T00:00:00Z",    "end_date": null,    "total_count": 12,    "charges_made": 3,    "next_charge_at": "2026-09-15T00:00:00Z",    "last_charge_at": "2026-08-15T00:00:00Z",    "status": "active",    "paused_at": null,    "created_at": "2026-08-15T10:30:00Z",    "updated_at": "2026-08-15T10:30:00Z"  }}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}